Bug 53748 - mozilla doesn't work on ia64
Summary: mozilla doesn't work on ia64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mozilla   
(Show other bugs)
Version: 7.3
Hardware: ia64 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-09-17 18:29 UTC by Bill Nottingham
Modified: 2014-03-17 02:23 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-09-26 16:04:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bill Nottingham 2001-09-17 18:29:58 UTC
I have a patch. It builds. It doesn't run.

Previously, it ran for about thirty seconds, then silently exited 1. Now it
just hangs indefinitely when started - it doesn't appear to be doing much.

I'm currently trying to rebuild with gcc3 to see if it makes any difference
- I doubt it will.

Here as almost a placeholder. If we get this working before we put out the
ia64 release, it doesn't make sense to not put it in. But it's not a
'must-fix' in the normal sense.

Comment 1 Christopher Blizzard 2001-09-17 20:00:05 UTC
Is the patch a real patch or is it that libffi monstrocity?

Comment 2 Christopher Blizzard 2001-09-17 20:00:38 UTC
Monstrosity, even.

Comment 3 Bill Nottingham 2001-09-17 20:02:05 UTC
It's the patch that uses libffi.

Comment 4 Christopher Blizzard 2001-09-17 20:03:55 UTC
What version of Mozilla do you have it ported to?  Also, what are the licensing
concerns here?

Comment 5 Bill Nottingham 2001-09-17 20:23:47 UTC
I'm currently trying it on 0.9.2.1. 'ported' is a strong word. 'Made it apply'
is better. :)

What licensing concerns would there be?


Comment 6 Bill Nottingham 2001-09-17 20:30:16 UTC
Hm, building with gcc3 does not seem to help.


Comment 7 Bill Nottingham 2001-09-17 20:32:01 UTC
If I strace the hanging process, it's looping on:

poll([{fd=11, events=POLLIN}, {fd=15, events=POLLIN}, {fd=13, events=POLLIN}],
3, 7 = 0
gettimeofday() (twice)
ioctl(1,0x541b,[0]) = 0
...

Comment 8 Christopher Blizzard 2001-09-17 21:17:22 UTC
Got me.  Is gdb usable?

Comment 9 Bill Nottingham 2001-09-17 21:59:48 UTC
g_main_poll, from g_main_iterate.

Comment 10 Christopher Blizzard 2001-09-18 17:06:27 UTC
Sounds like it's waiting for X events.

Comment 11 Bill Nottingham 2001-09-26 16:04:05 UTC
Thats entirely possible. However, there's no window, so I'm not sure how to give
it any X events. :)

Comment 12 Christopher Blizzard 2002-08-29 21:16:53 UTC
We have working builds for ia64.


Note You need to log in before you can comment on or make changes to this bug.